# GraphQL: Updating Order Statuses

If you would like to update the order-status for a given order, you can do so using the following request.

```graphql
mutation {
  updateStatus(number: "ORD102-33", params: {
    orderStatus: "fraud"
    paymentProvider: "klarna"
    statusDate: "2011-12-03T10:17:30"
  }) {
    number
    statuses {
      date
      orderStatus
      paymentProvider
    }
  }
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.nosto.com/techdocs/apis/graphql-an-introduction/graphql-using-mutations/working-with-orders/graphql-updating-order-statuses.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
